Просмотр исходного кода

fix pausing logic, and use $changedby as the signing ID

Wichert Akkerman лет назад: 25
Родитель
Сommit
b6d8706ee5
3 измененных файлов с 15 добавлено и 6 удалено
  1. 4 0
      ChangeLog
  2. 6 3
      scripts/dpkg-architecture.pl
  3. 5 3
      scripts/dpkg-buildpackage.sh

+ 4 - 0
ChangeLog

@@ -13,6 +13,10 @@ Sat Jun  9 00:28:11 CEST 2001 Wichert Akkerman <wakkerma@debian.org>
     + main/filesdb.c: use setcloexec for diversions and statoverride files
     + main/archives.c: add functions to initialize and destroy the obstack,
       ensure obstack is initialized in try_remove_can() as well
+    + lib/parsehelp.c: Correctly handle trailing spaces in versions.
+    + main/dpkg.8: it's /etc/dpkg/dpkg.cfg, not /etc/dpkg.cfg
+    + main/dpkg.8: Improve description of --force-confdef
+    + main/help.c: don't ignore failed maintainer scripts
 
 Fri Jun  8 19:42:43 CEST 2001 Wichert Akkerman <wakkerma@debian.org>
 

+ 6 - 3
scripts/dpkg-architecture.pl

@@ -114,6 +114,9 @@ sub gnu_to_debian {
 # Set default values:
 
 $deb_build_arch = `dpkg --print-installation-architecture`;
+if ($?>>8) {
+	&syserr("dpkg --print-installation-architecture filed");
+}
 chomp $deb_build_arch;
 $deb_build_gnu_type = $archtable{$deb_build_arch};
 $deb_build_gnu_cpu = $deb_build_gnu_type;
@@ -138,7 +141,7 @@ if ($?>>8) {
 
 if ($gcc ne '') {
     @list = &gnu_to_debian($gcc);
-    if (!defined(@list)) {
+    if ($#list == -1) {
 	&warn ("Unknown gcc system type $gcc, falling back to default (native compilation)"),
     } elsif ($#list > 0) {
 	&warn ("Ambiguous gcc system type $gcc, you must specify Debian architecture, too (one of ".join(", ",@list).")");
@@ -193,7 +196,7 @@ if ($req_host_arch ne '' && $req_host_gnu_type eq '') {
 
 if ($req_host_gnu_type ne '' && $req_host_arch eq '') {
     @list = &gnu_to_debian ($req_host_gnu_type);
-    die ("unknown GNU system type $req_host_gnu_type, you must specify Debian architecture, too") if !defined(@list);
+    die ("unknown GNU system type $req_host_gnu_type, you must specify Debian architecture, too") if $#list == -1;
     die ("ambiguous GNU system type $req_host_gnu_type, you must specify Debian architecture, too (one of ".join(", ",@list).")") if $#list > 0;
     $req_host_arch = $list[0];
 }
@@ -257,7 +260,7 @@ if ($action eq 'l') {
     exec @ARGV;
 } elsif ($action eq 'q') {
     if (exists $env{$req_variable_to_print}) {
-        print "$env{$req_variable_to_print}\n";     # works because -q implies -f !
+        print "$env{$req_variable_to_print}\n";
     } else {
         die "$req_variable_to_print is not a supported variable name";
     }

+ 5 - 3
scripts/dpkg-buildpackage.sh

@@ -136,7 +136,8 @@ curd="`pwd`"
 dirn="`basename \"$curd\"`"
 mustsetvar package "`dpkg-parsechangelog | sed -n 's/^Source: //p'`" "source package"
 mustsetvar version "`dpkg-parsechangelog | sed -n 's/^Version: //p'`" "source version"
-if [ -n "$maint" ]; then maintainer="$maint"; 
+if [ -n "$changedby" ]; then maintainer="$changedby"; 
+elif [ -n "$maint" ]; then maintainer="$maint"; 
 else mustsetvar maintainer "`dpkg-parsechangelog | sed -n 's/^Maintainer: //p'`" "source maintainer"; fi
 eval `dpkg-architecture -a${targetarch} -t${targetgnusystem} -s -f`
 
@@ -169,7 +170,7 @@ withecho () {
 
 if [ "$checkbuilddep" = "true" ]; then
 	if ! dpkg-checkbuilddeps $checkbuilddep_args; then
-		echo >&2 "$progname: Build dependancies/conflicts unsatisfied; aborting."
+		echo >&2 "$progname: Build dependencies/conflicts unsatisfied; aborting."
 		echo >&2 "$progname: (Use -d flag to override.)"
 		exit 3
 	fi
@@ -191,7 +192,8 @@ if [ x$sourceonly = x ]; then
 	withecho debian/rules build 
 	withecho $rootcommand debian/rules $binarytarget
 fi
-if [ "$usepause" = "true" -a "signchanges" != ":" ] && [ "x$binaryonly" = x -o "x$signchanges" != x ] ; then
+if [ "$usepause" = "true" ] && \
+   [  "$signchanges" != ":" -o \( -z "$binaryonly"  -a "$signsource" != ":" \) ] ; then
     echo Press the return key to start signing process
     read dummy_stuff
 fi